/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>         /* XC8 General Include File */
#elif defined(HI_TECH_C)
    #include <htc.h>        /* HiTech General Include File */
#endif

#include <stdint.h>        /* For uint8_t definition */
#include <stdbool.h>       /* For true/false definition */

#include "system.h"        /* System funct/params, like osc/peripheral config */
#include "user.h"          /* User funct/params, such as InitApp */

/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/

/* i.e. uint8_t <variable_name>; */

/******************************************************************************/
/* Main Program                                                               */
/******************************************************************************/

void main(void)
{
    /* Configure the oscillator for the device */
    ConfigureOscillator();

    /* Initialize I/O and Peripherals for application */
    InitApp();

    /* TODO <INSERT USER APPLICATION CODE HERE> */

    while(1)
    {

		//RA2 =1;
		//__delay_ms(100);
		//RA2 =0;
		//__delay_ms(100);


		while (RA1);//Switch release check
		LATA2 = 1; //Power OFF
		__delay_ms(100);
		while (!RA1);//Switch release check
		__delay_ms(100);
		while (RA1);//next push action
		LATA2 = 0;	//Power OFF
		__delay_ms(100);
		while (!RA1);//Switch release check
		__delay_ms(100);
    }
}

